# Class VcfFormatConverter

java.lang.Object
picard.cmdline.CommandLineProgram
picard.vcf.VcfFormatConverter

@DocumentedFeature public class VcfFormatConverter extends CommandLineProgram
Converts an ASCII VCF file to a binary BCF or vice versa.

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`INPUT`
`static final htsjdk.samtools.util.Log`
`LOG`
`File`
`OUTPUT`
`Boolean`
`REQUIRE_INDEX`

### Fields inherited from class CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`VcfFormatConverter()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOG

public static final htsjdk.samtools.util.Log LOG

### INPUT

@Argument(doc="The BCF or VCF input file.", shortName="I") public File INPUT

### OUTPUT

@Argument(doc="The BCF or VCF output file name.", shortName="O") public File OUTPUT

### REQUIRE_INDEX

@Argument(doc="Fail if an index is not available for the input VCF/BCF") public Boolean REQUIRE_INDEX

## Constructor Details

### VcfFormatConverter

public VcfFormatConverter()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.